### Constructor

# RB SongInfo new

#### Declaration [src]

    GtkWidget*
    rb_song_info_new (
      RBSource* source,
      RBEntryView* entry_view
    )

#### Description [src]

Creates a new `RBSongInfo` for the selected entry or entries in the specified entry view.

#### Parameters

`source`

  Type: `RBSource`

  `RBSource` creating the song properties window.

  The data is owned by the caller of the function.

`entry_view`

  Type: `RBEntryView`

  The `RBEntryView` to get selection data from.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

The new song properties window.

The data is owned by the called function.